aboutsummaryrefslogtreecommitdiffstats
path: root/tests/tls-verify-peer
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2020-12-10 14:28:29 +0100
committerGuilhem Moulin <guilhem@fripost.org>2020-12-11 11:20:37 +0100
commit17b263c49df682fc45f0e50cceb01db4366ad9a7 (patch)
tree06f0d963294aa426deeebc046713263d90c6c072 /tests/tls-verify-peer
parentc011e17d4f238882686e3f0e59c444a1c53ac8e3 (diff)
libinterimap: show the matching pinned SPKI in --debug mode.
Diffstat (limited to 'tests/tls-verify-peer')
-rw-r--r--tests/tls-verify-peer/t2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/tls-verify-peer/t b/tests/tls-verify-peer/t
index 9e4d9fa..35c7c8d 100644
--- a/tests/tls-verify-peer/t
+++ b/tests/tls-verify-peer/t
@@ -46,7 +46,7 @@ with_remote_config <<-EOF
SSL_fingerprint = sha256\$$PKEY_SHA256
EOF
unverified_peer
-! grep -Fx "remote: WARNING: Fingerprint doesn't match! MiTM in action?" <"$STDERR" || error
+grep -Fx "remote: Peer certificate matches pinned SPKI digest sha256\$$PKEY_SHA256" <"$STDERR" || error
step_done
capath=$(mktemp --tmpdir="$TMPDIR" --directory capath.XXXXXX)